<template>
  <div class="Poster-main op0" data-animation="animate__animated animate__fadeIn animate__slow">
    <div class="Poster-container" :style="posterStyle">
      <img class="Poster-img" :src="posterInfo.imgSrc" alt="">
      <div class="Poster-content-box">
        <div class="Poster-title">— {{ posterInfo.title }} —</div>
        <div class="Poster-text">{{ posterInfo.text }}</div>
      </div>
    </div>
  </div>
</template>

<script setup>


const props = defineProps({
  type: Number
})

let posterInfo = ref({
  // imgSrc: '',
  // title: '',
  // text: ''
}),
  posterStyle = {
    height: '40vw'
  }

// 获取海报
useFetch('/api/poster/getPoster', { params: { poster_location: props.type } }).then(res => {
  posterInfo.value = JSON.parse(res.data.value).data

  setTimeout(() => {
    htmlAddAnimations()
  });
})

</script>

<style scoped src="~/assets/css/poster/index.scss"></style>
<style scoped src="~/assets/css/poster/media.scss"></style>